/* tslint:disable */
/**
 * This file was automatically generated by json-schema-to-typescript.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source JSONSchema file,
 * and run json-schema-to-typescript to regenerate this file.
 */

export interface SearchResults {
  query: SearchTermJson;
  results: SearchResult[];
  time: string;
  [k: string]: unknown;
}
export interface SearchTermJson {
  codes: string[];
  exact_matches: string[];
  normalized: string;
  not_exact_matches: string[];
  raw: string;
  state_filter?: string | null;
  stop_words: string[];
  [k: string]: unknown;
}
export interface SearchResult {
  loc: ResLocation;
  score: number;
  [k: string]: unknown;
}
export interface ResLocation {
  codes: string[];
  encoding: string;
  id: string;
  names: string[];
  state: [string, string];
  subdiv?: [string, string] | null;
  [k: string]: unknown;
}
